Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 560406 (CVE-2015-4499) - <www-apps/bugzilla-{4.4.11, 5.0.2}: Email address is not properly validated during registration
Summary: <www-apps/bugzilla-{4.4.11, 5.0.2}: Email address is not properly validated d...
Status: RESOLVED FIXED
Alias: CVE-2015-4499
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL: https://bugzilla.redhat.com/show_bug....
Whiteboard: B3 [glsa]
Keywords:
Depends on:
Blocks:
 
Reported: 2015-09-14 09:09 UTC by Agostino Sarubbo
Modified: 2016-07-20 11:16 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2015-09-14 09:09:32 UTC
From ${URL} :

As announced in http://seclists.org/bugtraq/2015/Sep/48 :

Login names (usually an email address) longer than 127 characters are silently truncated in MySQL which could cause the domain name of the email address to be corrupted. An attacker could use this vulnerability to create an account with an email address different 
from the one originally requested. The login name could then be automatically added to groups based on the group's regular expression setting.

Upstream patches:

Fix for 4.2: https://git.mozilla.org/?p=bugzilla/bugzilla.git;a=commitdiff;h=10b1fef
Fix for 4.4: https://git.mozilla.org/?p=bugzilla/bugzilla.git;a=commitdiff;h=be1be8c
Fix for 5.0: https://git.mozilla.org/?p=bugzilla/bugzilla.git;a=commitdiff;h=69386c5
Fix on master branch: https://git.mozilla.org/?p=bugzilla/bugzilla.git;a=commitdiff;h=9d64d15



@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 1 Craig Inches 2016-05-24 09:26:32 UTC
This is now obsolete, versions in tree have fix
Comment 2 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2016-07-10 06:09:45 UTC
Added to existing GLSA.
Comment 3 GLSAMaker/CVETool Bot gentoo-dev 2016-07-20 11:16:23 UTC
This issue was resolved and addressed in
 GLSA 201607-11 at https://security.gentoo.org/glsa/201607-11
by GLSA coordinator Aaron Bauman (b-man).